<?php
/**
 * @package WordPress
 * @subpackage TheFrancesWright
 */
get_header(); ?>

<div id="section">

<?php
$curauth = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author'));
?>

	<?php /* If this is an author archive */ if (is_author()) { ?>
		<h2 class="archive_title">About <i><?php echo $curauth->display_name; ?></i>, <?php bloginfo('name'); ?> author</h2>
	<?php echo get_avatar( $curauth->user_email, 96 ); ?>
    <?php if (!empty( $curauth->user_url) || !empty($curauth->user_description)) { ?>
	    <dl>
	    	<?php if (!empty( $curauth->user_url)) { ?>
		        <dt>Website</dt>
		        <dd><a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></dd>
		    <?php }
		    if (!empty($curauth->user_description)) { ?>
		        <dt>Profile</dt>
		        <dd><?php echo $curauth->user_description; ?></dd>
		    <?php } ?>
	    </dl>
	<?php } else { ?>
		<p><?php echo $curauth->display_name; ?> has not added their information just yet.</p>
	<?php } } ?>
	
	<h2>Posts</h2>

	<?php
	/**
	 * Query WordPress for posts by this author. Display all posts
	 * and do not paginate. Count posts.
	 */
	$posts = query_posts( array( 'author' => $curauth->ID, 'posts_per_page' => -1 ) );
   	$cnt = count($posts);
   	$p = $cnt == 1 ? 'post' : 'posts';

   	echo $curauth->display_name.' has written '.$cnt.' '.$p.'.';
	
	?>

	<ul>

    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
        
        <li>
            <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">
            <?php the_title(); ?></a>,
            <i class="date"><?php the_time('F j, Y'); ?> in <?php the_category(', ');?></i>
        </li>

    <?php endwhile; ?>

    <?php endif; ?>

    </ul>

</div>

<?php get_sidebar(); ?>
	
<?php get_footer(); ?>
