<?php
/**
 * @package WordPress
 * @subpackage TheFrancesWright
 */
get_header(); ?>

<div id="section">

<?php if (have_posts()) : ?>

	<h2 class="archive_title"><i>Archive for the</i> &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>

	<?php while (have_posts()) : the_post(); ?>
	
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			
			<div class="article_header">
				
				<i class="date"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_time('F jS, Y') ?></a> by <a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a></i>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				
			</div>

			<div class="entry">
				
				<?php the_content('Read the rest of this entry &raquo;'); ?>
			
			</div>

			<p class="postmetadata"><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?> |  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
		</div>
	

	<?php endwhile; ?>

	<div class="navigation">
		<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
		<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
	</div>

<?php else : ?>

	<h2>Not Found</h2>
	<p>Sorry, but you are looking for something that isn't here.</p>
	
	<?php get_search_form(); ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>
	
<?php get_footer(); ?>
